declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE PTOVTA_CONTA
    (
        PTOVTACONTA_ID NUMBER(7) NOT NULL,
        EMPRESA_ID NUMBER(7),
        PUNTOVENTA_ID NUMBER(7),
        CONTA_ID NUMBER(7),
        PERCENTUAL NUMBER(5,2),
        ACTIVO NUMBER(1),
        FECMODIF DATE,
        USUARIO_ID NUMBER(7),
        PRIMARY KEY (PTOVTACONTA_ID),
		CONSTRAINT FK_PTOVTA_COMISSAO_CONTA FOREIGN KEY (CONTA_ID) REFERENCES MD_CONTA (CONTA_ID)
    )';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE PTOVTACONTA_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
	
  exception when object_exists then null;
end;
