declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE EMPRESA_TROCOSIMPLES (
		EMPRESA_TROCOSIMPLES_ID NUMBER(10,0),
        EMPRESA_ID NUMBER(7,0),
		RAZAO_SOCIAL VARCHAR2(256 BYTE),
        NOME_FANTASIA VARCHAR2(256 BYTE),
        CNPJ VARCHAR2(18 BYTE),
        TELEFONE VARCHAR2(256 BYTE),
        ENDERECO VARCHAR2(256 BYTE),
        VALOR_SUGERIR_TROCO NUMBER(10,2), 
        TOKEN_EMPRESA VARCHAR2(256 BYTE),
		ACTIVO NUMBER(1,0) DEFAULT 1,
        FECMODIF DATE NULL,
        USUARIO_ID NUMBER(7,0),
		PRIMARY KEY (EMPRESA_TROCOSIMPLES_ID) ENABLE,
		CONSTRAINT EMPRESA_TRSI_USUARIO_FK FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO(USUARIO_ID) ENABLE,
        CONSTRAINT EMPRESA_TRSI_EMPRESA_FK FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA(EMPRESA_ID) ENABLE 
	)';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE EMPRESA_TROCOSIMPLES_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;
/