declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE SECRETARIA_RUTA (
       SECRETARIARUTA_ID    INTEGER NOT NULL,
       SECRETARIA_ID        NUMBER(7) NULL,
       RUTA_ID              NUMBER(7) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (SECRETARIARUTA_ID), 
       FOREIGN KEY (RUTA_ID) REFERENCES RUTA, 
       FOREIGN KEY (SECRETARIA_ID) REFERENCES SECRETARIA
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE SECRETARIARUTA_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;