declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CAJA_DIVERSOS ADD (NUMSERIE_BPE VARCHAR(3), NUM_BPE VARCHAR(9), BPE_ID NUMBER(7,0))';
    exception when column_exists then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
  execute immediate 'ALTER TABLE CAJA_DIVERSOS ADD CONSTRAINT BPE_ID_FK FOREIGN KEY(BPE_ID) REFERENCES BPE(BPE_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;