declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE TABLE BLOQUEIO_CONEXAO (
                        BLOQUEIOCONEXAO_ID NUMBER(15,0) NOT NULL,
 						RUTA_ID NUMBER(7,0), 
						CORRIDA_ID NUMBER(7,0),
						FECCORRIDA DATE,
						ISBLOQUEADO NUMBER(1,0),
						CONEXIONRUTACONF_ID NUMBER(7,0),
						ORIGEM_ID NUMBER(7,0),
						DESTINO_ID NUMBER(7,0),
						ACTIVO NUMBER(1,0),
						FECMODIF DATE,
						USUARIO_ID NUMBER(7,0),
                        CONSTRAINT BLOQUEIO_CONEXAO_PK PRIMARY KEY (BLOQUEIOCONEXAO_ID)
                      )';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE SEQUENCE BLOQUEIO_CONEXAO_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE'; 
  exception when object_exists then null;
end;
/