declare
    column_exists exception;
    pragma exception_init (column_exists , -01451);
begin
    execute immediate 'ALTER SESSION SET DDL_LOCK_TIMEOUT= 30';
    exception when column_exists then null;
end;
/
DECLARE
    object_exists EXCEPTION;
    pragma exception_init(object_exists, -00955);
BEGIN
    EXECUTE IMMEDIATE 'CREATE TABLE CONFIGURACION_PRODUCTO (
        CONFIGURACIONPRODUCTO_ID NUMBER(7,0) NOT NULL,
        TIPOEVENTOEXTRA_ID NUMBER(7,0) NOT NULL,
        PRECIO NUMBER(12,2) NOT NULL,
        FECVIGENCIAINICIAL DATE NOT NULL,
        FECVIGENCIAFINAL DATE NOT NULL,
        USUARIO_ID NUMBER(7,0) NOT NULL,
        FECMODIF DATE NOT NULL,
        ACTIVO NUMBER(1,0) NOT NULL,
        CONSTRAINT CONFIGURACION_PRODUCTO_PK PRIMARY KEY (CONFIGURACIONPRODUCTO_ID),
        CONSTRAINT CONFIG_PROD_TIPO_EVE_EXTRA_FK FOREIGN KEY (TIPOEVENTOEXTRA_ID) REFERENCES TIPO_EVENTO_EXTRA(TIPOEVENTOEXTRA_ID),
        CONSTRAINT CONFIG_PROD_USUARIO_FK FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO(USUARIO_ID)
    )';
EXCEPTION 
    WHEN object_exists THEN NULL;
END;
/

DECLARE
    object_exists EXCEPTION;
    pragma exception_init(object_exists, -00955);
BEGIN
    EXECUTE IMMEDIATE 'CREATE SEQUENCE CONFIGURACION_PRODUCTO_SEQ INCREMENT BY 1 MINVALUE 0 NOCYCLE NOCACHE NOORDER'; 
EXCEPTION 
    WHEN object_exists THEN NULL;
END;