declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE TABLE CAJA_DET_DEPOSITO_PAGO (
       CAJADETDEPOSITOPAGO_ID NUMBER(15) NOT NULL,
       IDENTIFICACAO_DEPOSITO VARCHAR2(50) NULL,
       FECDEPOSITO          DATE NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       IMPORTE              NUMBER(7,2) NULL,
       CAJADIVERSOSPAGO_ID  NUMBER(15) NULL,
       CAJAFORMAPAGO_ID     NUMBER(15) NULL,
       PRIMARY KEY (CAJADETDEPOSITOPAGO_ID), 
       FOREIGN KEY (CAJAFORMAPAGO_ID) REFERENCES CAJA_FORMAPAGO, 
       FOREIGN KEY (CAJADIVERSOSPAGO_ID) REFERENCES CAJA_DIVERSOS_PAGO
	)';
    exception when object_exists then null;
end;