declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 

 'CREATE TABLE "DIGITA_VENTA" 
   (	"DIGITAVENTA_ID" NUMBER(7,0) NOT NULL ENABLE, 
	"FECHORVENTA" DATE, 
	"USUARIO_ID" NUMBER(7,0) NOT NULL ENABLE, 
	"ESTACION_ID" NUMBER(7,0) NOT NULL ENABLE, 
	"IMPTOTAL" NUMBER(7,2) NOT NULL ENABLE, 
	 CONSTRAINT "VENDA_PK" PRIMARY KEY ("DIGITAVENTA_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE, 
	 CONSTRAINT "VENDA_USUARIO_FK" FOREIGN KEY ("USUARIO_ID")
	  REFERENCES "USUARIO" ("USUARIO_ID") ENABLE
   )';
exception when object_exists then null;
end;

