declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE MD_RESUMO_ECF (
        RESUMOECF_ID NUMBER(12) NOT NULL,
        DATAMOV VARCHAR2(8),
        PUNTOVENTA_ID NUMBER(7),
        SERIE VARCHAR2(6),
        SUBSERIE VARCHAR2(3),
		TOTAL NUMBER(12,2),
        ACTIVO NUMBER(1),
        FECMODIF DATE,
        USUARIO_ID NUMBER(7),
        PRIMARY KEY (RESUMOECF_ID)
    )';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE MDRESUMOECF_SEQ INCREMENT BY 1 START WITH 50 NOCACHE ORDER NOCYCLE';	
	
  exception when object_exists then null;
end;
