declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE COMISSAO_RECEITA (
       COMISSAORECEITA_ID   NUMBER(7) NOT NULL,
       DATAMOVIMENTO        DATE NULL,
       EMPRESA_ID           NUMBER(7) NULL,
       PUNTOVENTA_ID        NUMBER(7) NULL,
       BPR                  NUMBER(7,2) NULL,
       GAP                  NUMBER(7,2) NULL,
       IMPGAP               NUMBER(7,2) NULL,
       INTERNET             NUMBER(7,2) NULL,
       CANCELADOS           NUMBER(7,2) NULL,
       CANCELGAP            NUMBER(7,2) NULL,
       DEVOLVIDOS           NUMBER(7,2) NULL,
       DEVGAP               NUMBER(7,2) NULL,
       EXCESSO_BAGAGEM      NUMBER(7,2) NULL,
       SEG_OPCIONAL         NUMBER(7,2) NULL,
       RECEITA_OUTROS       NUMBER(7,2) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       DEVOLVIDOS_ORIGEM    NUMBER(7,2) NULL,
       DEVOLVIDOS_ORIGEM_GAP NUMBER(7) NULL,
       QTDE_IMPGAP          NUMBER(7,0) NULL,
       COMISSAO_BPR         NUMBER(7,2) NULL,
       COMISSAO_ENTREGA_PASSAGEM NUMBER(7,2) NULL,
       COMISSAO_ENTREGA_BAGAGEM NUMBER(7,2) NULL,
       COMISSAO_SEG_OPCIONAL NUMBER(7,2) NULL,
       COMISSAO_OUTROS      NUMBER(7,2) NULL,
       PRIMARY KEY (COMISSAORECEITA_ID), 
       FOREIGN KEY (PUNTOVENTA_ID) REFERENCES PUNTO_VENTA, 
       FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE COMISSAO_RECEITA_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
