declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
        'CREATE UNIQUE INDEX PK__BPE__BPE_ID ON BPE ("BPE_ID")';
    exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
        'CREATE INDEX IDX__BPE_BOLETO ON BPE ("BOLETO_ID")';
    exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
        'CREATE INDEX IDX__BPE_BPESUBSTITUICAO ON BPE ("BPESUBSTITUICAO_ID")';
    exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -02275);
begin
  execute immediate
        'ALTER TABLE BPE ADD CONSTRAINT BPE_BOLETO FOREIGN KEY (BOLETO_ID) REFERENCES BOLETO (BOLETO_ID) ENABLE';
    exception when object_exists then null;
end;