declare
    object_exists exception;
    pragma exception_init (object_exists , -00001);
begin
	execute immediate 'merge into bpe_ctrl_disponibilidade cd1
					   using
					   (
					   select b.tipoventa_id, cd.bpectrldisp_id, cd.tipo_venda
					   from bpe_ctrl_disponibilidade cd
					   join bpe bpe on bpe.bpe_id = cd.bpe_rejeitado_id
					   left join boleto b on b.boleto_id = bpe.boleto_id
					   where cd.activo = 1
					   and b.tipoventa_id = 99
					   and cd.tipo_venda is null
					   ) t on (cd1.bpectrldisp_id = t.bpectrldisp_id)
					   WHEN MATCHED THEN UPDATE SET cd1.tipo_venda = ''EMBARCADA''
					   ';
	exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00001);
begin
	execute immediate 'merge into bpe_ctrl_disponibilidade cd1
					   using
					   (
					   select b.tipoventa_id, cd.bpectrldisp_id, cd.tipo_venda
					   from bpe_ctrl_disponibilidade cd
					   join bpe bpe on bpe.bpe_id = cd.bpe_rejeitado_id
					   left join boleto b on b.boleto_id = bpe.boleto_id
					   where cd.activo = 1
					   and b.tipoventa_id <> 99
					   and cd.tipo_venda is null
					   ) t on (cd1.bpectrldisp_id = t.bpectrldisp_id)
					   WHEN MATCHED THEN UPDATE SET cd1.tipo_venda = ''TOTALBUS''
					   ';
	exception when object_exists then null;
end;