declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE EMBARCADA_DISP_OPERADOR (
       EMBARCADADISPOPERADOR_ID      NUMBER(15) NOT NULL,
       DISPOSITIVOEMBARCADA_ID       NUMBER(7)  NOT NULL,
	   PUNTOVENTA_ID                 NUMBER(15) NOT NULL,
       USUARIO_ID           NUMBER(7) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       PRIMARY KEY (EMBARCADADISPOPERADOR_ID), 
       FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO, 
 	   FOREIGN KEY (PUNTOVENTA_ID) REFERENCES PUNTO_VENTA,
       FOREIGN KEY (DISPOSITIVOEMBARCADA_ID) REFERENCES DISPOSITIVO_EMBARCADA
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE EMBARCADADISPOPERADOR_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
