-- INSERT / UPDATE
declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'Insert into empresa_cielolink_config 
					(empresacielolink_id, empresa_id, merchant_id, minutos_cancela, client_id, url, secret, usuario_id, fecmodif, activo)
					select 
					  	EMP_CIELOLINK_CONFIG_SEQ.nextval, empresa_id, merchant_id , minutos , client_id , url , secret , usuario_id , fecmodif, activo from 
					(
						select 
						 empresa_id, 
						 (SELECT valorconstante FROM constante where nombconstante like ''MERCHANT_ID_CIELO_LINK'')  as merchant_id, 
						 (SELECT valorconstante FROM constante where nombconstante like ''MINUTOS_EXPIRACAO_CIELO_LINK'')  as minutos, 
						 (SELECT valorconstante FROM constante where nombconstante like ''CLIENT_ID_CIELO_LINK'')  as client_id, 
						 (SELECT valorconstante FROM constante where nombconstante like ''URL_CIELO_LINK'')  as url, 
						 (SELECT valorconstante FROM constante where nombconstante like ''SECRET_CIELO_LINK'')  as secret,
						 1 as usuario_id,
						 sysdate as fecmodif,
						 1 as activo
      					from empresa where activo = 1 order by empresa_id) dados';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;