declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE EMPRESA ADD (LATITUDE NUMBER(9,6) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE EMPRESA ADD (LONGITUDE NUMBER(9,6) )';
    exception when column_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE EMPRESA_MERCADOPAGO_CONFIG 
(
  EMPRESAMERCADOPAGOCONFIG_ID NUMBER(8, 0) NOT NULL 
, EMPRESA_ID NUMBER(7, 0) 
, USER_ID VARCHAR2(50) 
, STORE VARCHAR2(100) 
, POS VARCHAR2(100) 
, TOKEN VARCHAR2(255) 
, URL_API VARCHAR2(255) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
) ';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "EMPRESA_MERCADOPAGO_CONFIG_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER';	
  exception when object_exists then null;
end;
