DO $$
BEGIN
	CREATE TABLE LOG_DESPESAS_RECEITAS_DIV 
		(
		  DESPESASRECEITASDIV_ID NUMBER(7) 
		, USUARIO_ID NUMBER(7) 
		, DATA_EXEC DATE 
		, DATA_INICIO DATE 
		, DATA_FIM DATE 
		, EMPRESA_ID NUMBER(7) 
		, PROCESSADO NUMBER(1),
		CONSTRAINT LOG_DESPESAS_RECEITAS_DIV_PK PRIMARY KEY 
		  (
		    DESPESASRECEITASDIV_ID 
		  )
		  ENABLE 
	);
	
	CREATE SEQUENCE LOG_DESPESAS_RECEITAS_DIV_SEQ INCREMENT BY 1 START WITH 1;
	
 EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;
