DO $$
BEGIN
	CREATE SEQUENCE TAXPOLPUNTOVENTA_PK INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE;
  EXCEPTION WHEN duplicate_column THEN NULL;
END
/
DO $$
BEGIN
CREATE TABLE TAXPOL_PUNTOVENTA
  (TAXPOLPUNTOVENTA_ID NUMBER(7,0) NOT NULL, 
	PUNTOVENTA_ID NUMBER(7,0),  
	INDREIMPRESSAO NUMBER(1,0),
	FECMODIF DATE,
	ACTIVO NUMBER(1,0),
	CONSTRAINT "TAXPOLPUNTOVENTA_PK"
	PRIMARY KEY (TAXPOLPUNTOVENTA_ID),  
	FOREIGN KEY ("PUNTOVENTA_ID") 
	REFERENCES PUNTO_VENTA ("PUNTOVENTA_ID")
  EXCEPTION WHEN duplicate_column THEN NULL;
END