declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate	'CREATE TABLE EMPRESA_NEQUI_CONFIG (
	  	EMPRESANEQUICONFIG_ID NUMBER(7, 0) NOT NULL,
		EMPRESA_ID NUMBER(7, 0), 
		CLIENTID_NEQUI VARCHAR2(50 BYTE), 
		API_KEY_NEQUI VARCHAR2(100 BYTE), 
		HASH VARCHAR2(250 BYTE), 
		URL VARCHAR2(250 BYTE), 
        CODE VARCHAR2(50 BYTE),
		ACTIVO NUMBER(1,0),
		FECMODIF DATE, 
		USUARIO_ID NUMBER(7,0),
		CONSTRAINT EMPRESA_NEQUI_CONFIG_PK PRIMARY KEY (EMPRESANEQUICONFIG_ID)
	)';
	
  exception when object_exists then null;
end;
/
-- CREATE SEQUENCE
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE EMP_NEQUI_CONFIG_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';
  exception when object_exists then null;
end;
